;;-*- Package: CL-User; -*-
(in-package :cl-user)

(export '(MAKE-LITERAL-STRING NULL-STRING-P))

(defmacro MAKE-LITERAL-STRING (string)
;;takes a string and string quotes it. e.g. "foo" ->
;;           "\"foo\""
  `(concatenate 'string "\"" ,string "\""))

(DEFUN NULL-STRING-P (STRING)
  "Return t if the string is "" otherwise nil"
  (IF (NOT (STRINGP string))
      (ERROR nil (FORMAT nil "The arg to null-string-p, ~a, is not a string.~%" string))
      (IF (EQ (LENGTH string) 0)
          t
          nil)))